ru.bitel.bgbilling.kernel.event.events

## Class BeforeServiceDeleteEvent

- java.lang.Object
- - ru.bitel.bgbilling.kernel.event.Event
  - - ru.bitel.bgbilling.kernel.event.QueueEvent
    - - ru.bitel.bgbilling.kernel.event.LocalEvent
      - - ru.bitel.bgbilling.kernel.event.events.BeforeServiceDeleteEvent

- All Implemented Interfaces:
    java.io.Serializable

      public class BeforeServiceDeleteEvent
      extends LocalEvent

  Сихронное событие.
  Событие вызывается перед удалением разрашенной услуги договора.
  Унаследован от `LocalEvent`
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class ru.bitel.bgbilling.kernel.event.Event

      `CONTRACT_GLOBAL, NO_MODULE, NO_PLUGIN`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `BeforeServiceDeleteEvent()`
    `` | `BeforeServiceDeleteEvent(int userId, ContractService contractService)` Конструктор события.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ContractService` | `getContractService()` Возвращает удаляемую разрешенную услугу договора.

    - ### Methods inherited from class ru.bitel.bgbilling.kernel.event.Event

      `getContractId, getContractID, getDestination, getGenerateTime, getModuleId, getModuleID, getPluginId, getSuperContractId, getTime, getTimestamp, getTypeId, getUserId, isLogFunctionProcess, prepareMessage, serializeAsObject, setLogFunctionProcess, toString, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### BeforeServiceDeleteEvent

          protected BeforeServiceDeleteEvent()

    - #### BeforeServiceDeleteEvent

          public BeforeServiceDeleteEvent(int userId,
                                          ContractService contractService)

      Конструктор события.
      Parameters:
        `userId` - - id пользователя, сгенерировавшего событие
        `contractService` - - разрешенная услуга договора

  - ### Method Detail

    - #### getContractService

          public ContractService getContractService()

      Возвращает удаляемую разрешенную услугу договора.
      Returns:
        contractService - разрешенная услуга договора